Permalink
Browse files

[#89] Fix Suspenders on Ruby 1.8

  • Loading branch information...
1 parent 8f45973 commit 27a25422f32cff7e9a0b54787858c88833b84708 @croaky croaky committed Aug 3, 2012
Showing with 4 additions and 4 deletions.
  1. +3 −3 bin/suspenders
  2. +1 −1 lib/suspenders/generators/app_generator.rb
View
@@ -10,7 +10,7 @@ if ['create', '--create'].include? ARGV[0]
end
templates_root = File.expand_path(File.join("..", "templates"), File.dirname(__FILE__))
-Suspenders::Generator.source_root templates_root
-Suspenders::Generator.source_paths << Rails::Generators::AppGenerator.source_root << templates_root
+Suspenders::AppGenerator.source_root templates_root
+Suspenders::AppGenerator.source_paths << Rails::Generators::AppGenerator.source_root << templates_root
-Suspenders::Generator.start
+Suspenders::AppGenerator.start
@@ -2,7 +2,7 @@
require 'rails/generators/rails/app/app_generator'
module Suspenders
- class Generator < Rails::Generators::AppGenerator
+ class AppGenerator < Rails::Generators::AppGenerator
# let's use postgres by default
class_option :database, :type => :string, :aliases => "-d", :default => "postgresql",
:desc => "Preconfigure for selected database (options: #{DATABASES.join('/')})"

0 comments on commit 27a2542

Please sign in to comment.